<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [workForCompany](./bitburner.singularity.workforcompany.md)

## Singularity.workForCompany() method

Work for a company.

**Signature:**

```typescript
workForCompany(companyName: CompanyName, focus?: boolean): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  companyName | [CompanyName](./bitburner.companyname.md) | Name of company to work for. Must be an exact match. Optional. If not specified, this argument defaults to the last job that you worked. |
|  focus | boolean | _(Optional)_ Acquire player focus on this work operation. Optional. Defaults to true. |

**Returns:**

boolean

True if the player starts working, and false otherwise.

## Remarks

RAM cost: 3 GB \* 16/4/1

This function will set you to start working at your current job at a specified company at which you are employed. If you are already in the middle of some “working” action (such as working for a faction, training at a gym, or creating a program), then running this function will cancel that action.

This function will return true if the player starts working, and false otherwise.

## Example


```js
const companyName = "Noodle Bar";
const success = ns.singularity.workForCompany(companyName);
if (!success) ns.tprint(`ERROR: Failed to start work at ${companyName}.`);
```

